

if (!ZombieKeys.Preferences) ZombieKeys.Preferences =
{
	service: Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch),

	isDebug: function () {
		return this.service.getBoolPref("extensions.zombiekeys.debug");
	},

	isDebugOption: function(option) { // granular debugging
		if(!this.isDebug()) return false;
		try {return this.service.getBoolPref("extensions.zombiekeys.debug." + option);}
		catch(e) {return false;}
	},


}